D5 Creation Forum

Open Forum for D5 Creation's Members and Visitors

Before requesting any support Please search the Forum First. You may find your desired answer. This will save your waiting time and will save our working hour. We may not answer the question which we have already answered. You should also read our Support Policy

Simplify Theme causes jquery conflict

Front Page D5 Creation Forum General Questions Simplify Theme causes jquery conflict

  • This topic has 3 replies, 2 voices, and was last updated 9 years ago by Judson Singer.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #3383
    Judson Singer
    Participant

    I’m happily using D5’s Simplify theme but I have a jQuery conflict on my glossary page. I have two jquery files included on the source page that’s breaking CM Super Tooltip Glossary plugin:

    http://www.XXXXXXXX.XXX/cms/wp-includes/js/jquery/jquery.js
    http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js

    Both of these jquery files are listed in the page’s source code. WordPress builds these pages automatically so it’s not just a simple matter of editing basic HTML.

    I’m told by the author of the Glossary plugin that if I disable the second one it works like a charm. He said, “As you can see, this is a problem caused by neither our plugin nor the 3rd party script.”

    I’ve additionally been told that if I temporarily switch my Simplify theme to a basic theme such as Twenty Twelve I will see if that fixes the issue. If it does, the theme is to blame and the theme can be edited to remove the conflict. I switched themes as suggested and it completely healed the problem I was having in getting the full functionality of the Glossary plugin I’m using. I don’t know what I should edit to remove the problem with Simplify.

    The problem is, I don’t know what it is about Simplify’s coding that is causing the page to load two different conflicting versions of jquery. If I don’t fix this problem I’ll be stuck with a page having 2,284 glossary terms instead of just a few starting with just the letter A and NONE of the anticipated Tooltip text is showing up on any term whatsoever. In other words, Simplify appears to have almost completely broken this plugin. This long a scrolling page is intimidating to new visitors to the page.

    HELP!!

    #4456
    D5 Creation
    Keymaster
    Quote:
    Quote from Mountain Dude on June 4, 2013, 05:20
    I’m happily using D5’s Simplify theme but I have a jQuery conflict on my glossary page. I have two jquery files included on the source page that’s breaking CM Super Tooltip Glossary plugin:

    http://www.XXXXXXXX.XXX/cms/wp-includes/js/jquery/jquery.js
    http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js

    Both of these jquery files are listed in the page’s source code. WordPress builds these pages automatically so it’s not just a simple matter of editing basic HTML.

    I’m told by the author of the Glossary plugin that if I disable the second one it works like a charm. He said, “As you can see, this is a problem caused by neither our plugin nor the 3rd party script.”

    I’ve additionally been told that if I temporarily switch my Simplify theme to a basic theme such as Twenty Twelve I will see if that fixes the issue. If it does, the theme is to blame and the theme can be edited to remove the conflict. I switched themes as suggested and it completely healed the problem I was having in getting the full functionality of the Glossary plugin I’m using. I don’t know what I should edit to remove the problem with Simplify.

    The problem is, I don’t know what it is about Simplify’s coding that is causing the page to load two different conflicting versions of jquery. If I don’t fix this problem I’ll be stuck with a page having 2,284 glossary terms instead of just a few starting with just the letter A and NONE of the anticipated Tooltip text is showing up on any term whatsoever. In other words, Simplify appears to have almost completely broken this plugin. This long a scrolling page is intimidating to new visitors to the page.

    HELP!!

    We follow WordPress Coding Standards. It is mandatory for the Themes “Themes are required to use core-bundled scripts, if using such scripts“. We can’t break the WordPress Theme Standards. Please provide the link to the Plugin Author and advise him to use the core bundled script rather than any external link.

    #4458
    D5 Creation
    Keymaster

    During requesting any support you should use your correct Site Url. You should not hide that.

    #4462
    Judson Singer
    Participant

    It turns out that the Simplify theme was not the problem. It was the 3D Slider Slice Box plugin causing problems by attempting to load an additional and conflicting version of jquiry.js. Problem solved by disabling 3D slider on that page.

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.